package com.homesforhumans;

import com.google.inject.Guice;
import com.google.inject.Injector;
import com.google.inject.servlet.GuiceServletContextListener;
import com.homesforhumans.resource.PostalCodesResource;
import com.sun.jersey.api.core.PackagesResourceConfig;
import com.sun.jersey.api.json.JSONConfiguration;
import com.sun.jersey.guice.JerseyServletModule;
import com.sun.jersey.guice.spi.container.servlet.GuiceContainer;
import java.util.HashMap;
import java.util.Map;

/**
 * @author Gili Tzabari
 */
public class GuiceConfig extends GuiceServletContextListener
{
	@Override
	protected Injector getInjector()
	{
		return Guice.createInjector(new JerseyServletModule()
		{
			@Override
			protected void configureServlets()
			{
				Map<String, String> params = new HashMap<>();
				params.put(JSONConfiguration.FEATURE_POJO_MAPPING, "true");
				params.put(PackagesResourceConfig.PROPERTY_PACKAGES, PostalCodesResource.class.getPackage().
					getName());
				filter("/*").through(GuiceContainer.class, params);
			}
		});
	}
}
