package com.homesforhumans.resource;

import com.google.common.base.Preconditions;
import javax.ws.rs.GET;
import javax.ws.rs.Path;

/**
 * @author Gili Tzabari
 */
public class PostalCodeResource
{
	private final String postalCode;

	/**
	 * Creates a new PostalCodeResource.
	 * <p/>
	 * @param postalCode the postal code to look up
	 */
	public PostalCodeResource(String postalCode)
	{
		Preconditions.checkNotNull(postalCode, "postalCode may not be null");

		this.postalCode = postalCode;
	}

	@GET
	@Path("tax/")
	public String getTaxes()
	{
		return "0";
	}
}
